# SMTP

SMTP (Simple Mail Transfer Protocol) este un protocol care se folosește
pentru trimiterea mesajelor electronice (de la un client către un
server). Acesta se foloseste de portul 25 peste TCP și este descris în
[RFC 821](https://tools.ietf.org/html/rfc821) și [RFC
5321](https://tools.ietf.org/html/rfc5321).

Mesajele necesare în SMTP pentru trimiterea unui e-mail sunt
următoarele:

    1: HELO client.upb.ro
    2: MAIL FROM: <profesor@upb.ro>
    3: RCPT TO: <student@upb.ro>
    4: DATA
    5: MIME-Version: 1.0
    From: profesor@upb.ro
    To: student@upb.ro
    Subject: Tema
    Content-Type: text/plain

    Draga student,
      
    Fa-ti tema!
       
    Cu bine,
    Profesorul.
    .
    6: QUIT

Se trimite deci întâi o comandă "HELO" cu numele de domeniu sau adresa
IP a clientului pentru a iniția sesiunea, apoi o comandă "MAIL FROM" cu
adresa sursei, "RCPT TO" pentru destinație, "DATA" pentru date
(e-mail-ul în sine) și "QUIT" pentru a se închide sesiunea. Secțiunea de
date trebuie neapărat terminată cu secvența de caractere
`<CR><LF>.<CR><LF>` (adică o linie nouă urmată de un punct și apoi de
încă o linie nouă).
