# Ce se foloseste in Internet?

Pentru acest nivel din stiva de internet intalnim foarte des protocolul Ethernet. Antetul (header-ul) utilizat de protocol este mai complex decât cel pe care îl vom dezvolta noi astăzi:

![](images/ethernet_header.png)

In Ethernet avem un delimitator de cadru sub forma unui preambul si un Interpacket gap, care este o perioada de liniste. Mai jos putem vedea o captură a semnalului electric transmis printr-un cablu Ethernet, folosind un osciloscop:

![](images/ethernet_osciloscope.png)

Ce este interesant este faptul ca exista o delimitare, avem Ethernet Layer 1 ce contine tot cadrul, inclusiv preambulul si IGP-ul (o perioada de liniste). In schimb, exista o a doua reprezentare, nivelul 2 de Ethernet ce contine doar datele ce sunt folosite pentru functionalitatile de nivel mai inalt ale protocolului cum ar fi identificarea destinatiei sau coruperea datelor. 

Ceea ce este interesant este că există o delimitare clară: avem nivelul 1 de Ethernet, care include întregul cadru, inclusiv preambulul și IGP-ul (o perioadă de inactivitate). Pe de altă parte, există o a doua reprezentare la nivelul 2, care conține doar datele utilizate pentru funcționalitățile logice ale protocolului, cum ar fi identificarea destinației sau detectarea corupției datelor.