# UDP

Serviciu neorientat conexiune: nu se stabilește o conexiune între client și
server.  Așadar, serverul nu va așteapta apeluri de conexiune, ci așteaptă
direct datagrame de la clienti. Acest tip de comunicare este întâlnit în
sistemele client-server în care se transmit puține mesaje și în general prea rar
pentru a menține o conexiune activă între cele două entități.

Nu se garantează ordinea primirii mesajelor și nici corectarea pierderilor
pachetelor. UDP-ul se utilizeaza mai ales în rețelele în care există o pierdere
foarte mică de pachete și în cadrul aplicatiilor pentru care pierderea unui
pachet nu este foarte importantă (Un exemplu: aplicațiile streaming video).

Are un overhead foarte mic, în comparație cu celelalte protocoale de transport
(Are un header de 8 bytes, în comparație cu TCP-ul care are minim 20 bytes)
