# Exerciții E-mail
---

## Suport laborator

Vă oferim
[aici](https://gitlab.cs.pub.ro/pcom/pcom-laboratoare-public/-/tree/master/lab10/Email)
un cod sursă schelet pentru realizarea unui client de email SMTP scris
in C. 

Pentru testarea lui, veți folosi un server SMTP care rulează local. Acesta poate fi
creat folosind un utilitar existent în Python, numit *smtpd*. Rularea
acestui utiliar pe portul 25 se face astfel:

    sudo python -m smtpd -n -c DebuggingServer 127.0.0.1:25


**Atenție!** Pentru a putea rula serverul *smtpd* pe un
port mai mic de 1024, trebuie să aveți drepturi de *root*, deci vom rula cu **sudo**.

---

## Cerințe

Pornind de la codul disponibil
[aici](https://gitlab.cs.pub.ro/pcom/pcom-laboratoare-public/-/tree/master/lab10/Email),
implementați următoatrele cerințe:
 - Implementați un client SMTP peste TCP prin care să trimiteți către
serverul *smtpd* un e-mail care conține niște text și un fișier dat ca
parametru sub forma unui atașament de tip *text/plain*.
 - **(Extra)** Folosind instrucțiunile de
    [aici](https://www.dropbox.com/s/d382g7f705uo6bq/SMTP_Google.pdf?dl=0),
    trimiteți un e-mail către asistent prin intermediul serverului SMTP
    de la Google.
