# Setup

Pentru a simula o rețea virtuală vom folosi [Mininet](http://mininet.org/).
Mininet este un simulator de rețele ce folosește în simulare implementări reale
de kernel, switch și cod de aplicații.

```bash
sudo apt update
sudo apt install mininet openvswitch-testcontroller tshark python3-click python3-scapy xterm python3-pip
sudo pip3 install mininet
```

După ce am instalat Mininet, vom folosi următoarea comandă pentru a crește
dimensiunea fontului în terminalele pe care le vom deschide.

```bash
echo "xterm*font: *-fixed-*-*-*-18-*" >> ~/.Xresources
xrdb -merge ~/.Xresources
```

Când o să rulăm simularea, e posibil să întâlniți următoarea eroare:
`Exception: Please shut down the controller which is running on port 6653:`.
Pentru a rezolva problema, va trebui să rulați `pkill ovs-test`.

---
**NOTE**

* Pe unele versiuni mai vechi de Ubuntu este posibil să
fie nevoie să instalați `python-click` și `python-scapy` fiind folosit
Python 2.
* Ar trebui sa mearga ok si pe WSL 2
---

