# Etapele TCP

În figura de mai jos este surprins comportamentul TCP ce folosește Slow Start
și algoritmul AIMD de evitare a congestiei.

![](images/tcp_phases.svg)

Animatia de mai jos prezinta comportamentul TCP. Pe măsură ce fereastra de
congestie crește, viteza la care pachetele (albastre) sunt trimise crește de
asemenea, până când utilizarea legăturii limită atinge 100%. Apoi, pe măsură ce
rata pachetelor trimise continuă să crească, pachetele încep să se acumuleze în
buffer. În cele din urmă, bufferul devine plin și routerul trebuie să renunțe la
pachetele noi.

Când expeditorul ia la cunoștință de pachetul abandonat (deoarece nu primește un
ACK pentru acesta), își reduce fereastra de congestie cu un factor
multiplicativ. Cu o fereastră de congestie mai mică și multe pachete
neconfirmate deja "în zbor", acesta trebuie să facă o pauză înainte de a putea
relua transmisia, astfel încât bufferul să aibă ocazia să se golească. Odată ce
trece ceva timp și mai multe dintre segmentele "în zbor" sunt confirmate,
expeditorul poate relua transmisia și poate începe să-și mărească din nou
fereastra de congestie. Acest proces continuă pe parcursul întregii durate de
viață a fluxului, ducând la un model clasic de "dinti de fierăstrău".

<video width="640" height="360" controls>
  <source src="images/tcp-aimd.ogv" type="video/ogg">
</video>
